Create a research task
Starts an asynchronous Research Agent task and returns a status URL to poll.
POST
/api/agents/{agentId}/tasks/createPath parameters
agentIdstringrequiredResearch Agent ID assigned to your organization.
Request body
requiredapplication/jsonmessagestringrequiredA product model, part number, description, or follow-up answer.
min length 1
attachmentsAttachment[]default: []
Show propertiesHide properties
Array of
AttachmenttypeanyrequiredurlstringrequiredAn HTTP(S) URL or supported data URL.
mediaTypestringrequiredMedia type of the file.
filenamestringrequiredFilename presented to Research Agent.
Responses
202Task accepted.
statusanyrequiredtaskIdstringrequiredstatusUrlstring<uri>required400The request body is invalid.
errorstringrequireddetailsobject401The bearer token is missing or invalid.
errorstringrequired403The authenticated user cannot access the requested agent.
errorstringrequiredRequest
curl -X POST "https://agents.sibi.ai/api/agents/string/tasks/create" \
-H "Content-Type: application/json" \
-d '{
"message": "string",
"attachments": []
}'const response = await fetch("https://agents.sibi.ai/api/agents/string/tasks/create", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"message": "string",
"attachments": []
})
});Response
{
"status": "pending",
"taskId": "string",
"statusUrl": "<uri>"
}{
"error": "string",
"details": {}
}{
"error": "Unauthorized"
}{
"error": "Forbidden"
}